CVE-2018-11797

NameCVE-2018-11797
DescriptionIn Apache PDFBox 1.8.0 to 1.8.15 and 2.0.0RC1 to 2.0.11, a carefully crafted PDF file can trigger an extremely long running computation when parsing the page tree.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1547-1
Debian Bugs910390, 910391

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libpdfbox-java (PTS)jessie1:1.8.7+dfsg-1+deb8u1vulnerable
jessie (security)1:1.8.7+dfsg-1+deb8u2fixed
stretch1:1.8.12-1vulnerable
buster, sid1:1.8.16-1fixed
libpdfbox2-java (PTS)buster, sid2.0.12-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libpdfbox-javasource(unstable)1:1.8.16-1910390
libpdfbox-javasourcejessie1:1.8.7+dfsg-1+deb8u2DLA-1547-1
libpdfbox2-javasource(unstable)2.0.12-1910391

Notes

[stretch] - libpdfbox-java <no-dsa> (Minor issue)
https://www.openwall.com/lists/oss-security/2018/10/05/4
https://svn.apache.org/r1842131 (branch 2.0)
https://svn.apache.org/r1842278 (branch 1.8)

Search for package or bug name: Reporting problems